#baseURL = "https://qrz.is/"
baseURL = "/"
languageCode = "en-us"
title = "qrz.is"
copyright = "Michael Clemens"
subtitle = "personal website of Michael Clemens / DK1MI"
theme = "amberterm"
dateFormat = "2006-01-02" # default

publishDir = "../public_html/"

[mediaTypes]
[mediaTypes."text/gemini"]
    suffixes = ["gmi"]
[mediaTypes."application/atom"]
    suffixes= ["xml"]


[outputFormats]
[outputFormats.Gemini]
    name = "GEMINI"
    isPlainText = true
    isHTML = false
    mediaType = "text/gemini"
    protocol = "gemini://"
    permalinkable = true
    path ="gemini/"
[outputFormats.gemini_atom]
    name = "GEMINI_ATOM"
    isPlainText = true
    isHTML = false
    baseName = "atom"
    path = "gemini/"
    protocol = "gemini://"
    mediaType = "application/atom"

[outputs]
  home = ["HTML", "GEMINI_ATOM", "GEMINI", "RSS"]
  page = ["HTML", "GEMINI"]

# Menu links
[menu]
[[menu.main]]
    name = "Posts"
    weight = 1
    url  = "/post/"
[[menu.main]]
    name = "Projects"
    weight = 3
    url = "/projects/"
[[menu.main]]
    name = "Tags"
    weight = 4
    url = "/tags/"
[[menu.main]]
    name = "Links"
    weight = 5
    url = "/links/"
[[menu.main]]
    name = "About"
    weight = 6
    url = "/about/"
[[menu.main]]
    name = "RSS"
    weight = 6
    url = "/index.xml"
[[menu.footer]]
    name = "Git"
    weight = 5
    url = "https://codeberg.org/mclemens/"
[[menu.footer]]
    name = "Mastodon"
    weight = 6
    url = "https://mastodon.radio/@michael"
[[menu.footer]]
    name = "QRZ"
    weight = 7
    url = "https://qrz.com/DB/DK1MI"
